.page-container {
    margin: 30px;
    margin-left: 300px;
    .table-container {
        width: 100%;
        height: 75vh;
        overflow-y: scroll;
    }

    .table-topbar {
        margin-bottom: 20px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .table-topbar-refresh {
        color: black;
        align-items: center;
        display: flex;
        justify-content: space-between;
        width: 200px;
    }

    th {
        text-transform: uppercase;
        font-weight: 600;

    }

    .table-header {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .icon-button {
        cursor: pointer;
    }

    .MuiTableCell-root {
        border-bottom: none;
    }

    .MuiTableRow-root {
        border-radius: 2px;
    }

    .MuiTableRow-root.row-online {
        background-color: #9abca7d0;
    }

    .row-details-open {
        padding: 20px;
    }

    .row-details-close {
        padding: 0;
    }

    .MuiTableRow-root.row-offline {
        background-color: #840033bb;

        .MuiTableCell-root,
        .MuiSvgIcon-root,
        .MuiButtonBase-root-MuiIconButton-root,
        .MuiButtonBase-root-MuiIconButton-root {
            color: #ffffff;

        }
    }

    .collapse-row {
        .MuiTableCell-root {
            padding: 0px;
            margin: 0px;

        }
    }

    .list-container {
        margin: 0 50px;

        .list-row {
            display: flex;
            width: 280px;
            justify-content: space-between;
            padding: 5px;
            border-bottom: 1px solid #ffffff;
        }

        .title {
            font-weight: 600;
            width: 140px;
        }

        .data {
            text-align: left;
            width: 140px;
        }
    }

    .row-temperature {
        display: flex;
        align-items: center;
        margin-top: 24px;
    }

    .editable-cell-field {
        display: flex;

        .MuiInputBase-input-MuiFilledInput-input,
        .MuiFilledInput-input.MuiInputBase-input {
            width: 60px;
        }
    }

    tr:nth-child(even) {
        background-color: #e2e2e2;
    }

    th {
        background-color: #e2e2e2;

    }
}

.progress-container {
    margin: 30px;
    margin-left: 300px;

    .table-topbar {
        margin-bottom: 20px;
        display: flex;
        justify-content: space-between;
        align-items: center;

      
    }
    .table-topbar-refresh {
        color: black;
        align-items: center;
        display: flex;
        justify-content: space-between;
        width: 200px;
    }
}

.modal {
    .fields-container {
        overflow: auto;
        height: 500px;
        margin: 10px 0;
    }

    .field {
        display: flex;
        margin: 20px 0;
        align-items: center;
        justify-content: space-between;
        margin-right: 10px;
    }

    .label {
        width: 100px;
    }

    .MuiSelect-root {
        width: 222px;
    }

    .buttons {
        display: flex;
        justify-content: space-between;
        margin-top: 10px;
    }

    .button {
        float: right;
        margin-top: 10px;

    }

    .MuiInputBase-root.MuiOutlinedInput-root {
        width: 222px;
    }

    .modal-title {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .modal-close {
        font-size: 24px;
        font-weight: 500;
        cursor: pointer;
    }

}

.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;

    .field {
        margin-bottom: 20px;
    }

    .error {
        color: red;
        font-size: 11px;
        margin-top: 5px;
    }
}

.profile-page-container {
    margin: 30px;
    margin-left: 300px;
    text-align: left;
    display: flex;

    h1 {
        text-align: left;
    }

    .field {
        margin: 10px 0;
    }

    .profile-company-container {
        margin-left: 100px;
    }

    .company-fields {
        display: flex;
        flex-wrap: wrap;
        width: 475px;
        justify-content: space-between;
    }
}

.home-container {
    margin: 30px;
    margin-left: 300px;
    text-align: left;

    h1 {
        font-weight: 500;
        text-align: left;
    }

    .charts-container {
        display: flex;
    }

    .data-container {
        background: rgba(196, 196, 196, 0.21);
        border: 1px solid #000000;
        box-sizing: border-box;
        border-radius: 5px;
        width: 250px;
        max-height: 400px;
        padding: 20px;
        margin-right: 30px;
    }

    .home-wheater {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .temperature {
        font-weight: 400;
    }

    .city-name {
        font-size: 12px;
        text-align: center;
    }

    .city-row {
        display: flex;
        justify-content: space-between;
        align-items: center;
        text-align: left;

    }

    .city-row-name {
        text-align: left;
        width: 100px;
    }

    .online-pumps {
        background: rgba(196, 196, 196, 0.21);
        border: 1px solid #000000;
        box-sizing: border-box;
        border-radius: 5px;
        width: 250px;
        max-height: 400px;
        padding: 20px;
    }

    .pumps-temps {
        background: rgba(196, 196, 196, 0.21);
        border: 1px solid #000000;
        box-sizing: border-box;
        border-radius: 5px;
        width: 500px;
        max-height: 500px;
        padding: 20px;
        margin-left: 30px;
    }
}

@media only screen and (max-width: 768px) {
    .home-container {
        margin-left: 60px;
        overflow-y: scroll;
        text-align: left;

        .charts-container {
            display: block;
        }

        .data-container {
            background: rgba(196, 196, 196, 0.21);
            border: 1px solid #000000;
            box-sizing: border-box;
            border-radius: 5px;
            width: 270px;
            max-height: 400px;
            padding: 20px;
            margin-right: 30px;
        }

        .online-pumps {
            background: rgba(196, 196, 196, 0.21);
            border: 1px solid #000000;
            box-sizing: border-box;
            border-radius: 5px;
            width: 270px;
            max-height: 400px;
            padding: 20px;
            margin: 10px 0;
        }

        .pumps-temps {
            background: rgba(196, 196, 196, 0.21);
            border: 1px solid #000000;
            box-sizing: border-box;
            border-radius: 5px;
            width: 500px;
            max-height: 500px;
            padding: 20px;
            margin-left: 0px;
        }
    }

    .profile-page-container {
        margin: 30px;
        margin-left: 60px;
    }

    .page-container {
        margin: 30px 20px 30px 60px;

        .table-container {
            height: 80vh;
            overflow-y: scroll;
        }

        .MuiInputBase-root.MuiFilledInput-root {
            width: 100px;
        }
    }

    .progress-container {
        margin: 30px 60px;

        .table-topbar {
            margin-bottom: 20px;
            display: flex;
        }
    }


    .modal {
        .fields-container {
            overflow: auto;
            height: 500px;
            margin: 10px 0;
        }

        .field {
            display: block;
            margin: 20px 0;
            align-items: center;
            justify-content: space-between;
            margin-right: 10px;
        }

        .label {
            width: 100px;
        }

        .MuiSelect-root {
            width: 222px;
        }

        .buttons {
            display: flex;
            justify-content: space-between;
            margin-top: 10px;
        }

        .button {
            float: right;
            margin-top: 10px;

        }

        .MuiInputBase-root.MuiOutlinedInput-root {
            width: 270px;
        }

    }

    .MuiDialog-root,
    .MuiDialog-container {
        width: 280px;
    }
}